import { Node, NodeCredential, NodeInitializer } from "node-red";
import { Client } from "discord.js";
interface DiscordClientNodeCredential extends NodeCredential {
    token: string;
}
export interface DiscordClientNode extends Node<DiscordClientNodeCredential> {
    token: string;
    getBot(): Client;
}
declare const _default: NodeInitializer<import("node-red").NodeAPISettingsWithData>;
export default _default;
